Bug 201542 - Very slow PDF file opening
Very slow PDF file opening
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 04:54 EDT by Pawel Salek
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.0-6.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 17:54:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kreta.pdf (267.51 KB, application/pdf)
2006-08-07 04:54 EDT, Pawel Salek
no flags Details

  None (edit)
Description Pawel Salek 2006-08-07 04:54:11 EDT
Description of problem:
evince takes several orders of magnitude longer time to open a PDF file 
compared to xpdf.

Version-Release number of selected component (if applicable):
evince-0.5.1-3
xpdf-3.01-12.1

How reproducible:
Always

Steps to Reproduce:
1. try opening attached file.
  
Additional info:
This bug probably should be opened against poppler. Evince produces though 
following messages when closed:
(evince:9300): Gtk-CRITICAL **: gtk_tree_model_foreach: assertion 
`GTK_IS_TREE_MODEL (model)' failed

(evince:9300): Gtk-CRITICAL **: gtk_list_store_clear: assertion 
`GTK_IS_LIST_STORE (list_store)' failed
[
Comment 1 Pawel Salek 2006-08-07 04:54:11 EDT
Created attachment 133719 [details]
kreta.pdf
Comment 2 Moritz Barsnick 2006-09-21 16:26:34 EDT
I also see this on various files. Example given in bug #183397:
http://www.vdew-bw.de/images/aktuell/Strompeise_Deutschland_2006.pdf
Very annoying.
Comment 3 Pawel Salek 2007-02-15 17:54:40 EST
Appears to be resolved in evince-0.6.0-6.fc6
Comment 4 Moritz Barsnick 2007-02-16 09:02:32 EST
Running:
evince-0.6.0-6.fc6
poppler-0.5.4-5.fc6
on FC6 (obviously), performance seems okay now. (I tested only my example 
given in comment #2.)

Note You need to log in before you can comment on or make changes to this bug.